image: aergus/latex # use a Docker image for LaTeX from https://hub.docker.com/

deploy:
  stage: deploy
  variables:
    USER: "gitlab-runner"
  before_script:
    - 'which ssh-agent || ( apt-get update -y && apt-get install openssh-client -y )'
    - eval $(ssh-agent -s)
    - echo "$SSH_KEY" | tr -d '\r' | ssh-add - > /dev/null
    - mkdir -p ~/.ssh
    - chmod 700 ~/.ssh
    - ssh-keyscan zamok.crans.org >> ~/.ssh/known_hosts
    - chmod 644 ~/.ssh/known_hosts

  script:
    - make all -j8  # build the pdf
    - scp public/* comby@zamok.crans.org:www/m1-eea
    # - lftp -e "set ftp:ssl-allow false; set sftp:auto-confirm yes; mirror -R public www/m1-eea; bye" -u $FTP_USER,$FTP_PASSWORD sftp://zamok.crans.org
  only:
    - master  # deploy the pdf only for commits made to the master branch
